17

OpenID Enable!

Posted by KC on November 24, 2007 in Development, My Blog |

openid_logo.jpg Now I’ve added OpenID to my blog. OpenID is a new concept of one login on multiple website similar to Windows Live ID or Google Account. One good thing that different from others is this is the open standard which anyone can use and implement to their website.

Now my blog reader can use their own OpenID to register and login. Thanks to WP-OpenID WordPress plugin.

More on OpenID can be found at their project web here. The recommend site to get an OpenID is from VeriSign here and it free.

Now let’s see who will the first who login using OpenID

ref:

http://openid.net/

http://pip.verisignlabs.com/

Tags: , ,

17 Comments

  • Umm… am I be the first?…
    -Aea

  • Test reply… I think the last reply generate the error on website script..
    -Aea

  • OK.. Nok, here is the error: It is from PHP script of DB (mySQL) with openID stuff:

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ‘SET openid=1 WHERE comment_ID=’68’ LIMIT 1′ at line 1]
    UPDATE SET openid=1 WHERE comment_ID=’68’ LIMIT 1

    Warning: Cannot modify header information – headers already sent by (output started at /home/content/h/s/1/hs1pdy/html/blog/wp-includes/wp-db.php:199) in /home/content/h/s/1/hs1pdy/html/blog/wp-includes/pluggable.php on line 391

  • KC says:

    Hi Hi of course you’re the first..

    I’ll look at the problem on commenting. Haven’t test OpenID with comment yet.

  • K C says:

    Let’s see how does the reply work..

  • K C says:

    Is it better?

  • K C says:

    Try again.. Hope it helps.

  • OK… let’s try again with openID
    -Aea

  • Umm.. got the same result: error in SQL script. check it out..
    -Aea

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ‘SET openid=’1′ WHERE comment_ID=’77’ LIMIT 1′ at line 1]
    UPDATE SET openid=’1′ WHERE comment_ID=’77’ LIMIT 1

    Warning: Cannot modify header information – headers already sent by (output started at /home/content/h/s/1/hs1pdy/html/blog/wp-includes/wp-db.php:199) in /home/content/h/s/1/hs1pdy/html/blog/wp-includes/pluggable.php on line 391

  • Mr.K says:

    Aea,

    It still doesn’t work. Last night I check with wordpress.org but found no useful solution

    Kanok

  • Is this your private server? If yes, you can debug MySQL log file and see that command been issue to the server when post the comment with OpenID. Maybe it is a bug that already been fixed, therefore get the latest version.

  • KC says:

    Hi Aea,
    It is a GoDaddy “dedicate?” server but they don’t provide full debug ability for owner. Looks like there is similar problem posting on wordpress.org forum which still not been resolved. I’m watching that post. Hope someone will come up with a fix soon. But even though it has error, the post got through.

  • KC says:

    WP-OpenID release 2.1.2 is out. Now looks like it has PHP v5 dependency which my GoDaddy is still 4.x Watching this support thread closely http://wordpress.org/support/topic/146956 hopefully it will be resolved in a day or two.

  • KC says:

    Request to change from PHP 4.x to 5.x has been submitted to GoDaddy. Let’s see how it turns out.

  • KC says:

    PHP 5.x is in place. Let’s post some comment. Hope it get though

  • K C says:

    Last time is ok.. Now with normal user login.

Leave a Reply

Your email address will not be published. Required fields are marked *

Copyright © 2007-2019 Kanok's Balcony All rights reserved.
This site is using the Multi Child-Theme, v2.2, on top of
the Parent-Theme Desk Mess Mirrored, v2.5, from BuyNowShop.com